<mat-sidenav-container>
  <mat-sidenav #sidenav mode="push" [(opened)]="opened">
    <div class="side-item-0" routerLink="/home">
      <mat-icon class="side-text">home</mat-icon>หน้าแรก
    </div>
    <div class="side"></div>
    <div
      style="font-size: 14px; margin-left: 16px;color: rgb(105, 104, 104);width: 95%;
         height: 6%;
         padding-top: 4%;"
    >
      รายวิชาของฉัน
    </div>
    <div
      class="side-item-1"
      *ngFor="let subject of subjects_new"
      (click)="onGoTo(subject)"
      [class.selected]="sub === selectSubject"
    >
      <mat-icon class="side-text">list_alt</mat-icon> {{ subject.subject_name }}
      <div style="margin-left: 95px;">กลุ่ม {{ subject.group }}</div>
    </div>
    <div class="side"></div>
    <div
      class="side-item-0"
      style="background-color: rgba(196, 193, 193, 0.568); border-radius: 0px 50px 50px 0px;"
    >
      <mat-icon class="side-text">move_to_inbox</mat-icon>ชั้นเรียนที่เก็บ
    </div>
    <div class="side"></div>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <mat-toolbar-row style="height: 75px;">
        <button mat-icon-button style="margin-right: 20px;">
          <mat-icon (click)="opened = !opened">menu</mat-icon>
        </button>
        <h1 style="cursor:pointer; font-family: 'Kanit', sans-serif;">
          MAKRUB
        </h1>

        <span class="example-spacer"></span>
        <img class="example-icon" [src]="imageUrl" />
        <button
          mat-icon-button
          [matMenuTriggerFor]="menu"
          aria-label="Example icon-button with a menu"
        >
          <mat-icon>arrow_drop_down</mat-icon>
        </button>
        <mat-menu #menu="matMenu">
          <button mat-menu-item (click)="onProfile()">
            <mat-icon>account_circle</mat-icon>
            <span>บัญชีผู้ใช้</span>
          </button>
          <button mat-menu-item (click)="onLogout()">
            <mat-icon>exit_to_app</mat-icon>
            <span>ออกจากระบบ</span>
          </button>
        </mat-menu>
      </mat-toolbar-row>
    </mat-toolbar>
    <section class="example-section">
      <mat-form-field
        appearance="outline"
        style="margin-left: 50%; width: 70%; margin-right: 50px;"
      >
        <mat-label>Search</mat-label>
        <input matInput [(ngModel)]="search" />
        <mat-icon matSuffix>search</mat-icon>
      </mat-form-field>
    </section>
    <div class="side"></div>
    <!-- <button mat-raised-button (click)="addCard()">Add Card</button>
       <button mat-raised-button (click)="clearCards()">Clear All Cards</button> -->
    <div class="blocksWrapper">
      <!-- 1 -->
      <app-home-card
        *ngFor="let subject of subjects | filter: search"
        [detailData]="subject"
        [class.selected]="sub === selectSubject"
        (click)="onSelect(subject)"
      ></app-home-card>
    </div>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
